/**
 * @param { import("knex").Knex } knex
 * @returns { Promise<void> }
 */
exports.up = function (knex) {
    return knex.schema.createTable("users", (table) => {
        table.increments("id");
        table.string("name", 100);
        table.string("club_name", 100).nullable().comment("for clubholder");
        table.string("mobail", 15);
        table.string("taka", 15).defaultTo("0");
        table.integer("sponcer_by_id", 255).nullable();
        table.integer("club_by_id", 255).nullable();
        table.string("pass", 255);
        table.string("sp_comminion", 50).defaultTo("2");
        table.string("club_comminion", 50).defaultTo("2");
        table.string("wd_permition", 2).defaultTo("1");
        table.string("dp_permition", 2).defaultTo("1");
        table.string("blt_permition", 2).defaultTo("1");
        table.enum("role",['club','user']);
        table.string("widrow_time", 2).nullable();
        table.integer("is_active", 2).defaultTo("1");
        table.enum("is_block",['yes','no']);
    })
};

/**
 * @param { import("knex").Knex } knex
 * @returns { Promise<void> }
 */
exports.down = function (knex) {
    return knex.schema.dropTable("users")
};
